<?php
require '../conexao/conexao.php';
require '../configuacoes.php';

$query_string = $_POST['url'] ?? null;


// Verifica se os parâmetros necessários foram passados via GET
if ($_SERVER['REQUEST_METHOD'] === 'POST' && isset($_POST['id_produtos_faltaf'])) {
    $id_produtos_falta = $_POST['id_produtos_faltaf'];
    // Restante do seu script...
} else {
    // Parâmetros ausentes, redireciona de volta para o index
    header("Location: index.php?" . $query_string);
    exit;
}

// Verifica se o formulário foi enviado
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    // Verifica se o botão "Sim" foi clicado
    if (isset($_POST['confirmacao']) && $_POST['confirmacao'] === 'sim') {
        // Realiza a exclusão na tabela pessoa
        // Substitua os comentários pelos comandos SQL reais para excluir
        // Certifique-se de usar prepared statements para evitar injeção de SQL

        // Exemplo de exclusão na tabela pessoa
        $stmt_pessoa = $connectionmysql->prepare("UPDATE produtos_falta SET data_exclusao = CURDATE() WHERE id_produtos_falta = ?");
        $stmt_pessoa->bind_param("i", $id_produtos_falta);
        $stmt_pessoa->execute();

        // Redireciona para o index após a exclusão
        header("Location: index.php?status=sucesso&" . $query_string);
        exit;
    } elseif (isset($_POST['confirmacao']) && $_POST['confirmacao'] === 'nao') {
        // Se o botão "Não" foi clicado, redireciona para o index sem excluir
        header("Location: index.php?" . $query_string);
        exit;
    } else {
        // Se o botão "Não" foi clicado, redireciona para o index sem excluir
        header("Location: index.php?" . $query_string);
        exit;
    }
}

// Se o formulário ainda não foi enviado, exibe a mensagem de confirmação
